SoVRMLTexture(3)

NAME
SoVRMLTexture - The SoVRMLTexture class is a superclass for VRML texture nodes.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLTexture.h>

Inherits SoNode.

Inherited by SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFBool repeatS
SoSFBool repeatT

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoVRMLTexture (void)
virtual ~SoVRMLTexture ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLTexture class is a superclass for VRML texture nodes.

Constructor & Destructor Documentation

  SoVRMLTexture::SoVRMLTexture (void) [protected]
Constructor.

  SoVRMLTexture::~SoVRMLTexture () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLTexture::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLTexture::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

  const SoFieldData ** SoVRMLTexture::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLTexture::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

  void SoVRMLTexture::initClass (void) [static]

  void SoVRMLTexture::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Reimplemented in SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

Member Data Documentation

  SoSFBool SoVRMLTexture::repeatS
TRUE if texture should be repeated in the S direction. Default is TRUE.

  SoSFBool SoVRMLTexture::repeatT
TRUE if texture should be repeated in the T direction. Default is TRUE.

Author

Generated automatically by Doxygen for Coin from the source code.